Subject: Re: using tree as attribute source is slow, was Re: Help troubleshoot performance regression cloning with depth: git 2.44 vs git 2.42

From: Taylor Blau <[email-masked]>
Date: Thu, 2 May 2024 13:55:34 -0400

On Thu, May 02, 2024 at 10:44:20AM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > Instead, this patch changes the behavior to only fallback to "HEAD" in
> > bare repositories from check-attr, but leaves pack-objects, archive, and
> > all other builtins alone.
>
> I thought the whole point of the exercise was to allow server-side
> (which typically is bare and cannot use anything from the working
> tree) to pay attention to the attributes.  This patch rips that out
> and piles even more new and unproven code on top?  I am not sure.

I thought the point of John's patch was to allow just check-attr to read
from HEAD^{tree} in bare repositories, and not to touch other commands.

I could be misunderstanding the original intent of John's patch (the
commit message there isn't clear whether the change was intended to
target just check-attr or all of Git). But my hope is that it was the
former, which this patch preserves.

I do not know whether servers should in general be trusting
user-provided attributes for things like "delta".

Thanks,
Taylor